<?php

namespace backend\models;

use Yii;
use common\models\Transfer;
use common\components\RoleDefinition;
use common\models\Account;
use common\components\DailyListing;
/**
 * TransferSearch represents the model behind the search form about `common\models\Transfer`.
 */
class TransferListUserGroupedSearch extends \common\models\TransferListSearch
{
	
	public $ticketMoneyByUser;
	
	public function init(){
		parent::init();
		$this->mode = 'admin';
	}
	
	
	public function search($params)
	{
	
		$this->load($params);
	
		if (!$this->validate()) {
		}
		
		$listing = new DailyListing();
		$listing->mode = $this->mode;
		$listing->loadFilters($this);
		
		$this->ticketMoneyByUser = $listing->readTicketMoneyByUser();
		
		
		
	}
	
    
}
